Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Depth Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Depth:

## Public Member Functions
| matchLocation (Location $location)
| Checks if a Location object matches. More...
| matchContentInfo (ContentInfo $contentInfo)
| Checks if a ContentInfo object matches. More...
| match (View $view)
| Matches the $view against a set of matchers. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\MultipleValued
| setMatchingConfig ($matchingConfig)
| Registers the matching configuration for the matcher. More...
| getValues ()
| Returns matcher's values. More...
| getRepository ()
Public Member Functions inherited from eZ\Publish\Core\MVC\RepositoryAware
| setRepository (Repository $repository)

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\MultipleValued
| $values
Protected Attributes inherited from eZ\Publish\Core\MVC\RepositoryAware
| $repository

## Detailed Description

Definition at line 16 of file Core/MVC/Symfony/Matcher/ContentBased/Depth.php.

## Member Function Documentation

## ◆ match()

eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Depth::match | ( | View | $view | ) |

Matches the $view against a set of matchers.

Parameters

  \eZ\Publish\Core\MVC\Symfony\View\View | $view |

Returns
  bool

Implements eZ\Publish\Core\MVC\Symfony\Matcher\ViewMatcherInterface.

Definition at line 48 of file Core/MVC/Symfony/Matcher/ContentBased/Depth.php.

References eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Depth\matchContentInfo().

## ◆ matchContentInfo()

eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Depth::matchContentInfo | ( | ContentInfo | $contentInfo | ) |

Checks if a ContentInfo object matches.

Parameters

  \eZ\Publish\API\Repository\Values\Content\ContentInfo | $contentInfo |

Returns
  bool

Implements eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\MatcherInterface.

Definition at line 37 of file Core/MVC/Symfony/Matcher/ContentBased/Depth.php.

References eZ\Publish\Core\MVC\RepositoryAware\$repository.

Referenced by eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Depth\match().

## ◆ matchLocation()

eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Depth::matchLocation | ( | Location | $location | ) |

Checks if a Location object matches.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Location | $location |

Returns
  bool

Implements eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\MatcherInterface.

Definition at line 25 of file Core/MVC/Symfony/Matcher/ContentBased/Depth.php.

The documentation for this class was generated from the following file:

- Core/MVC/Symfony/Matcher/ContentBased/Depth.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.